package com.yihu.hos.resource.model;

/**
 * RsResourceRest entity. @author MyEclipse Persistence Tools
 */

public class RsResourceRest implements java.io.Serializable {

	// Fields

	private String id;
	private String url;
	private String username;
	private String password;
	private String remark;
	private String name;

	// Constructors

	/** default constructor */
	public RsResourceRest() {
	}

	/** full constructor */
	public RsResourceRest(String url, String username, String password, String remark) {
		this.url = url;
		this.username = username;
		this.password = password;
		this.remark = remark;
	}

	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUrl() {
		return this.url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getUsername() {
		return this.username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return this.password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}